Subject: Are accept-extensions used in practice?

From: Julian Reschke <[email-masked]>
Date: Thu, 27 Nov 2008 20:14:48 +0100

Hi,

RFC 2616, Section 14.1 defines the BNF for Accept as:

     Accept         = "Accept" ":"
                      #( media-range [ accept-params ] )

     media-range    = ( "*/*"
                      | ( type "/" "*" )
                      | ( type "/" subtype )
                      ) *( ";" parameter )
     accept-params  = ";" "q" "=" qvalue *( accept-extension )
     accept-extension = ";" token [ "=" ( token | quoted-string ) ]

(<http://greenbytes.de/tech/webdav/rfc2616.html#rfc.section.14.1>).

However, the text doesn't really say what it's for, nor does it occur in 
the examples.

Is this used anywhere in practice?

BR, Julian